---
title: Plugin
---

### Plugin

This section will go over how to use the `PreferencesModulePlugin` that ships with the Preferences module.


#### preference

The `preference` function returns an instance of the preference as a `presenter`.

The presenter returned depends on the field type used for the preference.

###### Returns: `\Anomaly\Streams\Platform\Entry\EntryPresenter` or `null`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$key

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The key of the preference you want to get.

</td>

</tr>

</tbody>

</table>

###### Twig

    {{ preference('streams::timezone').value() }}


#### preference_value

The `preference_value` function returns the raw value of the preference.

###### Returns: `mixed`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$key

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The key of the setting to get.

</td>

</tr>

</tbody>

</table>

###### Twig

    {{ preference_value('streams::timezone') }}
